﻿hotwarm<-read.table(file="C:/Users/Primahadi Wijaya/Dropbox/_Primahadi's Research/2014 June-July - MotionChart - Hot&Warm/data file/HOT&WARM-29JUNE2014-from1860.txt", header=T, sep="\t", comment.char="", quote="") # read in the dataframe for the whole decade for motion chart analysis

hotwarm[,2]<-tolower(hotwarm[,2]) # turning the collocates into lower case

decade.lab<-labels(table(hotwarm[,1]))[[1]] # creating character vector containing decade labels

labelsall<-c("bath","day","dog","heart","pursuit","smile","spot","water","welcome") # creating the selected collocate labels vector for all decades

dframe.label<-subset(hotwarm, hotwarm[,2] %in% labelsall) # subset all-decades data frame on the basis of selected collocate labels vector for all decades

part<-split(hotwarm,hotwarm[,1]) # splitting the whole data frame into list

part.labALL<-split(dframe.label, dframe.label[,1]) # splitting the selected data frame into list of data frame based on decade for the ease of indexing in "for-loop" for automatic plotting and selective labelling for all decades

png("hotwarmPLOT-loop.png", res=450, width=6.5*500,height=8.5*500) # setting up a .png file for the resulting plot, including the plot's resolution and sizes

par(mfrow=c(5,3), cex=0.425, mar=c(2.5,2,1,1), mgp=c(3,0.75,0), tck=-0.025, las=1) # setting up a plot parameter

# small program script for plotting all of the fifteen decades
for (i in 1:15){ # indexing sequence for looping is set to fifteen as in the total number of decades included
	
	plot(part[[i]][,3],part[[i]][,4], type="n", xlim=c(-0.5,8.25), ylim=c(-0.5,3.5), yaxt="n", xaxt="n", ann=F) # preparing empty plot field from dataset of all decades having been split up into a list data structure called "part" containing data frame per decade 
	
	axis(side=2, at=c(0,2), labels=c(0,2)) # adding major y-axis to the empty plot
	
	axis(side=2, at=c(1,3), labels=FALSE, tcl=-0.2) # adding minor y-axis to the empty plot
	
	axis(side=1, at=c(0,2,4,6,8), labels=c(0,2,4,6,8), tick=T) # adding major x-axis to the empty plot
	
	axis(side=1, at=c(1,3,5,7), labels=FALSE, tcl=-0.2) # adding minor x-axis to the empty plot
	
	grid(lwd=1.15) # adding gridlines onto the empty plot field
	
	text(4,3,labels=decade.lab[i], col="grey85", cex=4.15, font=2) # adding the decade labels onto the plot
	
	symbols(part[[i]][,3],part[[i]][,4], inches=0.150, fg="white", bg="grey85", circles=sqrt(part[[i]][,5]/pi), add=T) # adding the bubble symbol onto the plot from all data points
	
	symbols(part.labALL[[i]][,3],part.labALL[[i]][,4], inches=0.150, fg="white", bg="grey65", circles=sqrt(part.labALL[[i]][,5]/pi), add=T) # adding the bubble symbol onto the plot from the selected data points with colour highlight (darker colour compared to the unlabelled bubbles)  
	
	text(part.labALL[[i]][,3], part.labALL[[i]][,4], labels=part.labALL[[i]][,2], cex=1.25) # adding the selected collocate labels onto the plot
	
	}
dev.off() # closing the active graphic device